Bug 13723 - [4.8.2] Unable to Target v4.3 on Windows
Summary: [4.8.2] Unable to Target v4.3 on Windows
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Android ()
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Dominique Louis
URL:
Depends on:
Blocks:
 
Reported: 2013-08-02 15:26 UTC by Peter Collins
Modified: 2016-08-03 15:23 UTC (History)
7 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Peter Collins 2013-08-02 15:26:11 UTC
After creating a new Android Template in VS, I am unable to target API 18 from the Application Properties:
Comment 1 Peter Collins 2013-08-02 15:31:47 UTC
Accidentally hit "return" while writing this boog, whoops :)

This is an issue in both Visual Studio [0] and Xamarin Studio [1], and it is only occurring on windows. My android sdk path is pointing to the correct location in XS, but I am unable to target v4.3.

[0] http://screencast.com/t/z8wQnYx1Fw3
[1] http://screencast.com/t/KqCxS7yYDD0j

Environment Details:
Win8x64
VS 2012 & 2010
XS 4.1.7 - c2a08764
XA 4.8.2-25 1ccfea0c
Comment 2 Dominique Louis 2013-08-03 06:12:00 UTC
The installer was not installing the API18 framework, hence why it is not appearing. Hoping to fix that shortly.
Comment 3 Dominique Louis 2013-08-05 07:32:37 UTC
Latest build from monodroid-master should have the fix for this.
Comment 4 Mohit Kheterpal 2014-03-27 06:54:52 UTC
Today we have checked this issue and we are able to set target API 18 in both XS and VS. And we are also able to run application successfully.

Hence closing this issue.